<script lang="ts">
import { defineComponent } from 'vue';
import DialogBtn2 from './DialogBtn2.vue';

export default defineComponent({
  setup() {
    return {
      DialogBtn2,
    };
  },
});
</script>

<template>
  <div>
    <h2>Lorem ipsum dolor sit amet.</h2>
    <JButton
      class="mb-3"
      @click="$dialog.showModal(DialogBtn2)"
    >
      Show nesting dialog
    </JButton>
    <div class="d-flex mb-3">
      <JButton @click="$dialog.closeModal">
        Cancel
      </JButton>
    </div>
  </div>
</template>
